This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server 12 - Kernel Crypto API Cryptographic Module
Certificate details
| Certificate ID | #2549 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 29.01.2016 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode with module SUSE Linux Enterprise Server 12 - OpenSSL Module v2.0 validated to FIPS 140-2 under Cert. #2435 operating in FIPS mode and with module SUSE Linux Enterprise Server 12 - StrongSwan Cryptographic Module version 1.0 validated to FIPS 140-2 under Cert. #2484 operating in FIPS mode |
| Exceptions |
|
| Description | SUSE Kernel Crypto API module provides cryptographic services to the Linux operating system kernel. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 2 certificates, transitively this expands into 3 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-192, Twofish, Serpent, CAST5, DES, Triple-DES, TDES, TDEA, Salsa20, Blowfish, SEED, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-512, CMACHash functions
SHA-1, SHA-256, SHA-384, SHA-512, SHA-224, MD4, MD5, RIPEMDSchemes
MACProtocols
IKEv2Randomness
DRBG, RNGLibraries
OpenSSLBlock cipher modes
ECB, CBC, CTR, GCM, CCM, LRW, XEX, XTSSecurity level
level 1Standards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198, FIPS180-4, FIPS186-4, FIPS197, FIPS198-1, SP 800-67, SP 800-38A, SP 800-38C, SP 800-38E, SP 800-38D, SP 800-90A, PKCS#1, PKCS #1, RFC4106, RFC 6071, RFC 7296Cross-references
Outgoing- 2435 - historical - SUSE Linux Enterprise Server 12 - OpenSSL Module
- 2484 - historical - SUSE Linux Enterprise Server 12 - StrongSwan Cryptographic Module
- 3099 - historical - SUSE Linux Enterprise Server - Kernel Crypto API Cryptographic Module
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2549,
"dgst": "3921a7d7066d4666",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#3298",
"#1687",
"#2085",
"AES#3286",
"SHS#2725",
"SHS#2724",
"#2084",
"#2724",
"#3288",
"DRBG#745",
"HMAC#2083",
"HMAC#2086",
"#746",
"#3287",
"#3286",
"Triple-DES#1873",
"HMAC#2084",
"SHS#2727",
"#744",
"AES#3287",
"RSA#1687",
"#2727",
"#747",
"DRBG#744",
"HMAC#2085",
"#745",
"#1873",
"DRBG#746",
"#2086",
"#3298",
"AES#3297",
"AES#3288",
"#2083",
"#2725",
"#3297",
"SHS#2726",
"DRBG#747",
"#2726"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"12"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"2435",
"2484"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2435",
"3038",
"2484"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"2435",
"2484"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"3099"
]
},
"directly_referencing": {
"_type": "Set",
"elements": [
"2435",
"2484"
]
},
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"3099"
]
},
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2435",
"1930",
"3038",
"2484"
]
}
},
"policy_prunned_references": {
"_type": "Set",
"elements": [
"2435",
"2484"
]
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 39,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 8
},
"CCM": {
"CCM": 6
},
"CTR": {
"CTR": 7
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 10
},
"LRW": {
"LRW": 3
},
"XEX": {
"XEX": 1
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 9
}
},
"crypto_protocol": {
"IKE": {
"IKEv2": 3
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"atsec": {
"atsec": 28
}
},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1687": 1,
"#1873": 1,
"#2083": 1,
"#2084": 1,
"#2085": 1,
"#2086": 1,
"#2435": 3,
"#2484": 2,
"#2724": 1,
"#2725": 1,
"#2726": 1,
"#2727": 1,
"#3286": 2,
"#3287": 3,
"#3288": 3,
"#3297": 3,
"#3298": 3,
"#744": 3,
"#745": 3,
"#746": 2,
"#747": 3
}
},
"fips_certlike": {
"Certlike": {
"AES-192": 2,
"Cert. #1687 SHS": 1,
"Cert. #1873 AES": 1,
"Cert. #2083 HMAC": 1,
"Cert. #2084 HMAC": 1,
"Cert. #2086 HMAC": 1,
"Cert. #2725 SHS": 1,
"Cert. #2727 SHS": 1,
"Cert. #3286 AES": 1,
"Cert. #3288 AES": 1,
"Cert. #3298 RSA": 1,
"Cert. #745 HMAC": 1,
"HMAC-SHA- 384": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 10,
"HMAC-SHA-512": 2,
"PKCS #1": 2,
"PKCS#1": 4,
"SHA- 224": 1,
"SHA- 512 Cert. #2084": 1,
"SHA- 512 Cert. #2086": 1,
"SHA- 512 Cert. #2725": 1,
"SHA- 512 Cert. #2727": 1,
"SHA-1": 10,
"SHA-224": 9,
"SHA-256": 18,
"SHA-384": 18,
"SHA-512": 1,
"SHA-512 Cert. #1687": 1,
"SHA-512 Cert. #2083": 1,
"SHA-512 Cert. #2085": 1,
"SHA-512 Cert. #2724": 1,
"SHA-512 Cert. #2726": 1,
"SHA-512 Cert. #744": 2,
"SHA-512 Cert. #745": 2,
"SHA-512 Cert. #746": 2,
"SHA-512 Cert. #747": 2
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 10
},
"SHA2": {
"SHA-224": 9,
"SHA-256": 18,
"SHA-384": 18,
"SHA-512": 14
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 7
},
"RNG": {
"RNG": 5
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 44,
"FIPS 180-4": 3,
"FIPS 186-4": 1,
"FIPS 197": 3,
"FIPS 198": 4,
"FIPS180-4": 1,
"FIPS186-4": 1,
"FIPS197": 1,
"FIPS198-1": 1
},
"NIST": {
"SP 800-38A": 3,
"SP 800-38C": 3,
"SP 800-38D": 2,
"SP 800-38E": 3,
"SP 800-67": 1,
"SP 800-90A": 14
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 2
},
"RFC": {
"RFC 6071": 1,
"RFC 7296": 1,
"RFC4106": 5
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 30,
"AES-192": 2
},
"CAST": {
"CAST5": 2
},
"Serpent": {
"Serpent": 3
},
"Twofish": {
"Twofish": 3
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 2,
"Triple-DES": 8
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 8,
"HMAC": 16,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 5,
"HMAC-SHA-512": 1
}
},
"djb": {
"Salsa": {
"Salsa20": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#3298",
"AES#3286",
"SHS#2725",
"SHS#2724",
"DRBG#745",
"HMAC#2083",
"HMAC#2086",
"Triple-DES#1873",
"HMAC#2084",
"SHS#2727",
"RSA#1687",
"AES#3287",
"DRBG#744",
"HMAC#2085",
"DRBG#746",
"AES#3297",
"AES#3288",
"SHS#2726",
"DRBG#747"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1687",
"#2085",
"#2084",
"#2724",
"#3288",
"#746",
"#3287",
"#3286",
"#744",
"#2727",
"#747",
"#745",
"#1873",
"#2086",
"#3298",
"#2083",
"#2725",
"#3297",
"#2726"
]
},
"policy_metadata": {
"/Author": "Traci Porter",
"/CreationDate": "D:20151216181752-06\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "LibreOffice 4.4",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 228692,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/",
"https://github.com/mkerrisk/man-pages",
"http://csrc.nist.gov/groups/STM/cmvp/",
"http://www.suse.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "985012ce4c646605add0a55ef3da7ce543a304f22a06a206c383a2930ce55871",
"source_hash": "843bc89a5ce73881501575f0307f9ab7c9644f1d3b360b2f23750f7ae8143092",
"txt_hash": "f8df395749870bea03763dda03049697e255fb3af032f8145288ff363d615af2"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode with module SUSE Linux Enterprise Server 12 - OpenSSL Module v2.0 validated to FIPS 140-2 under Cert. #2435 operating in FIPS mode and with module SUSE Linux Enterprise Server 12 - StrongSwan Cryptographic Module version 1.0 validated to FIPS 140-2 under Cert. #2484 operating in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertJan2016.pdf",
"date_sunset": null,
"description": "SUSE Kernel Crypto API module provides cryptographic services to the Linux operating system kernel.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"2435": 1,
"2484": 1
},
"module_name": "SUSE Linux Enterprise Server 12 - Kernel Crypto API Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0",
"tested_conf": [
"SUSE Linux Enterprise Server 12 operating on HP ProLiant DL320e Generation 8 with PAA",
"SUSE Linux Enterprise Server 12 operating on HP ProLiant DL320e Generation 8 without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-01-29",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}